// Variable

// Buttons + Forms
// Shared variables that are reassigned to `$input-` and `$btn-` specific variables.

$input-btn-padding-y:         .375rem !default;
$input-btn-padding-x:         .75rem !default;
$input-btn-font-family:       null !default;
$input-btn-font-size:         $font-size-md !default;
$input-btn-line-height:       $line-height-base !default;

$input-btn-focus-width:       0 !default;
$input-btn-focus-color:       rgba($component-active-bg, .25) !default;
$input-btn-focus-box-shadow:  0 0 0 $input-btn-focus-width $input-btn-focus-color !default;

$input-btn-padding-y-sm:      $input-btn-padding-y !default;
$input-btn-padding-x-sm:      .75rem !default;
$input-btn-font-size-sm:      $font-size-sm !default;
$input-btn-line-height-sm:    $line-height-sm !default;

$input-btn-padding-y-lg:      $input-btn-padding-y !default;
$input-btn-padding-x-lg:      $input-btn-padding-x !default;
$input-btn-font-size-lg:      $font-size-md !default;
$input-btn-line-height-lg:    $line-height-lg !default;
$input-btn-width-lg:          11rem !default;

$input-btn-border-width:      $border-width !default;


// Buttons
// For each of Bootstrap's buttons, define text, background, and border color.

$btn-color:                   $body-color !default;
$btn-padding-y:               $input-btn-padding-y !default;
$btn-padding-x:               .75rem !default;
$btn-font-family:             $input-btn-font-family !default;
$btn-font-size:               $input-btn-font-size !default;
$btn-line-height:             $input-btn-line-height !default;
$btn-white-space:             null !default; // Set to `nowrap` to prevent text wrapping

$btn-padding-y-sm:            $input-btn-padding-y-sm !default;
$btn-padding-x-sm:            $input-btn-padding-x-sm !default;
$btn-font-size-sm:            $input-btn-font-size-sm !default;
$btn-line-height-sm:          $input-btn-line-height-sm !default;

$btn-padding-y-lg:            $input-btn-padding-y-lg !default;
$btn-padding-x-lg:            $input-btn-padding-x-lg !default;
$btn-font-size-lg:            $input-btn-font-size-lg !default;
$btn-line-height-lg:          $input-btn-line-height-lg !default;
$btn-width-lg:                $input-btn-width-lg !default;
$btn-font-weight-lg:          $font-weight-medium;

$btn-border-width:            $input-btn-border-width !default;
$btn-border-color:            $border-color !default;

$btn-font-weight:             $font-weight-normal !default;
$btn-box-shadow:              inset 0 1px 0 rgba($white, .15), 0 1px 1px rgba($black, .075) !default;
$btn-focus-width:             $input-btn-focus-width !default;
$btn-focus-box-shadow:        $input-btn-focus-box-shadow !default;
$btn-disabled-opacity:        .65 !default;
$btn-active-box-shadow:       inset 0 3px 5px rgba($black, .125) !default;

$btn-outline-box-shadow:      inset -70px -30px !default;

$btn-link-disabled-color:     $component-disabled !default;

$btn-block-spacing-y:         .5rem !default;

// Allows for customizing button radius independently from global border radius
$btn-border-radius:           $border-radius !default;
$btn-border-radius-lg:        $border-radius-lg !default;
$btn-border-radius-sm:        $border-radius-sm !default;

$btn-transition:              color .15s ease-in-out, background-color .15s ease-in-out, border-color .15s ease-in-out, box-shadow .15s ease-in-out !default;

$btn-icon-size:               $font-size-lg !default;
$btn-icon-width:              2.125rem !default;
$btn-icon-height:             $btn-icon-width !default;

$btn-icon-width-sm:           1.5rem !default;
$btn-icon-height-sm:          $btn-icon-width-sm !default;

